Curated Recommendations (Basket) (GET /items/basket)

Prev Next
Get
/items/basket

The basket recommendations endpoint returns curated recommendations for a user profile based on the garments in their basket (which can be empty).

This endpoint provides personalized item recommendations based on the user's profile and preferences.

Security
api_key & user_token
API Key: api_key
Header parameter namex-api-key

API Key: user_token
Header parameter namex-dressipi-jwt

The JWT for the user

Query parameters
ids
array of string

List of garment identifiers representing the user's basket.

excluded_ids
array of string

List of garment identifiers to be excluded from the recommendations.

identifier_type
string

The type of garment identifiers provided in ids and excluded_ids.

Valid values[ "product-code", "sku", "dressipi-id", "ean", "gtin" ]
max_items
integer (int32)

The desired number of recommended items to return.

sort
string

The attribute to sort results by. Currently only 'price' is supported.

Valid values[ "price" ]
direction
string

The direction to sort results by.

Valid values[ "asc", "desc" ]
Default"asc"
garment_format
string

The desired response format. If 'simple', only basic garment identifiers are returned. If 'detailed', more comprehensive garment metadata is included.

Valid values[ "simple", "detailed" ]
Default"simple"
locale
string

A locale parameter describing what stock information to use and what language to return text in (if applicable). This parameter will only function if the corresponding information is in the product feed & processed accordingly. If stock local and UI language are not the same, specify the language parameter in addition to this one.

language
string

Allows you to specify a locale used for feed attributes such as product name that should be localized using a different locale to price & stock information. This parameter will only function if the corresponding information is in the product feed & processed accordingly.

pretty
boolean

If true, pretty print json output. This increases response size and should usually be off in production environments

include_dressipi_ids
boolean

Controls whether dressipi garment ids (raw_garment_id) are included in response

Defaulttrue
include_user_data
boolean

If true, user information will be included in the response where applicable

Responses
200

Information about the curated recommendations

Expand All
object

The basket recommendations endpoint returns curated recommendations for a user profile based on the garments in their basket (which can be empty).

This endpoint provides personalized item recommendations based on the user's profile and preferences.

Example{ "event_id": "1234567890abcdef", "recommendations": [ { "garment_id": "Q10G10NEME", "raw_garment_id": 4532078, "ancillary_product_code": "Q-111" }, { "garment_id": "Q05R85NYLW", "raw_garment_id": 4532040, "ancillary_product_code": "Q-222" } ], "garment_data": [], "user": { "style_quiz_complete": true, "first_name": "Jane" } }
event_id
string

The unique event ID for tracking purposes

recommendations
Array of object (BareGarment)

The recommended items for the current basket

object
garment_id
string

The garment_id. The type of identifier used depends on the requests garment_format

ExampleABC-123
raw_garment_id
integer (int32)

The internal dressipi id for the garment. This may be omitted depending on garment_format

Example123456
ancillary_product_code
string

An alternative identifier to identify the product, hidden when not provided in feed

ExampleA1B2C3
garment_data
Array of object

Metadata for the garments in the response

object
user
object (User)
style_quiz_complete
boolean

Whether the user has completed the dressipi signup quiz

first_name
string

The user's first name, if they have supplied it